OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP209
StepFEA

# StepFEA_FeaAxis2Placement3d Class Reference

Representation of STEP entity FeaAxis2Placement3d
.

`#include <StepFEA_FeaAxis2Placement3d.hxx>`

Inheritance diagram for StepFEA_FeaAxis2Placement3d:

[legend]

## Public Member Functions
Standard_EXPORT | StepFEA_FeaAxis2Placement3d ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aRepresentationItem_Name, const Handle(StepGeom_CartesianPoint)&aPlacement_Location, const Standard_Boolean hasAxis2Placement3d_Axis, const Handle(StepGeom_Direction)&aAxis2Placement3d_Axis, const Standard_Boolean hasAxis2Placement3d_RefDirection, const Handle(StepGeom_Direction)&aAxis2Placement3d_RefDirection, const StepFEA_CoordinateSystemType aSystemType, const Handle(TCollection_HAsciiString)&aDescription)
| Initialize all fields (own and inherited) .
Standard_EXPORT StepFEA_CoordinateSystemType | SystemType () const
| Returns field SystemType .
Standard_EXPORT void | SetSystemType (const StepFEA_CoordinateSystemType SystemType)
| Set field SystemType .
Standard_EXPORT Handle_TCollection_HAsciiString | Description () const
| Returns field Description .
Standard_EXPORT void | SetDescription (const Handle(TCollection_HAsciiString)&Description)
| Set field Description .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
StepFEA_CoordinateSystemType | theSystemType
Handle_TCollection_HAsciiString | theDescription

## Constructor & Destructor Documentation

Standard_EXPORT StepFEA_FeaAxis2Placement3d::StepFEA_FeaAxis2Placement3d | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString StepFEA_FeaAxis2Placement3d::Description | ( |  | ) | const

Standard_EXPORT const StepFEA_FeaAxis2Placement3d::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepGeom_Axis2Placement3d.

Standard_EXPORT void StepFEA_FeaAxis2Placement3d::Init | ( | const Handle(TCollection_HAsciiString)& | aRepresentationItem_Name,
|  | const Handle(StepGeom_CartesianPoint)& | aPlacement_Location,
|  | const Standard_Boolean | hasAxis2Placement3d_Axis,
|  | const Handle(StepGeom_Direction)& | aAxis2Placement3d_Axis,
|  | const Standard_Boolean | hasAxis2Placement3d_RefDirection,
|  | const Handle(StepGeom_Direction)& | aAxis2Placement3d_RefDirection,
|  | const StepFEA_CoordinateSystemType | aSystemType,
|  | const Handle(TCollection_HAsciiString)& | aDescription
| ) |

Standard_EXPORT void StepFEA_FeaAxis2Placement3d::SetDescription | ( | const Handle(TCollection_HAsciiString)& | Description | ) |

Standard_EXPORT void StepFEA_FeaAxis2Placement3d::SetSystemType | ( | const StepFEA_CoordinateSystemType | SystemType | ) |

Standard_EXPORT StepFEA_CoordinateSystemType StepFEA_FeaAxis2Placement3d::SystemType | ( |  | ) | const

## Field Documentation

Handle_TCollection_HAsciiString StepFEA_FeaAxis2Placement3d::theDescription`[private]`

StepFEA_CoordinateSystemType StepFEA_FeaAxis2Placement3d::theSystemType`[private]`

The documentation for this class was generated from the following file:

- StepFEA_FeaAxis2Placement3d.hxx